def f(x):
    y=x**2+3*x-1
    return y

def Encadrement():
    a=0
    b=1
    while b-a>10**(-4):
        m=(a+b)/2
        if f(m)*f(a)>=0:
            a=m
        else:
            ...
    return(a,b)



